# SdFat: SysCall Class Reference

SysCall Class Reference

SysCall - Class to wrap system calls. More...

`#include <SysCall.h>`

## Static Public Member Functions

static SdMillis_t | curTimeMS ()
static void | halt ()
static void | yield ()

## Detailed Description

SysCall - Class to wrap system calls.

## Member Function Documentation

## curTimeMS()

SdMillis_t SysCall::curTimeMS | ( |  | ) |

inlinestatic

Returns
  the time in milliseconds.

## halt()

static void SysCall::halt | ( |  | ) |

inlinestatic

Halt execution of this thread.

## yield()

void SysCall::yield | ( |  | ) |

inlinestatic

Yield to other threads.

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/common/SysCall.h